Index: lemon/cplex.cc
===================================================================
--- lemon/cplex.cc	(revision 576)
+++ lemon/cplex.cc	(revision 462)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -73,5 +73,4 @@
     int status;
     _prob = CPXcreateprob(cplexEnv(), &status, "Cplex problem");
-    messageLevel(MESSAGE_NOTHING);
   }
 
@@ -80,5 +79,4 @@
     int status;
     _prob = CPXcreateprob(cplexEnv(), &status, "Cplex problem");
-    messageLevel(MESSAGE_NOTHING);
   }
 
@@ -89,5 +87,4 @@
     rows = cplex.rows;
     cols = cplex.cols;
-    messageLevel(MESSAGE_NOTHING);
   }
 
@@ -442,38 +439,19 @@
   }
 
-  void CplexBase::_messageLevel(MessageLevel level) {
-    switch (level) {
-    case MESSAGE_NOTHING:
-      _message_enabled = false;
-      break;
-    case MESSAGE_ERROR:
-    case MESSAGE_WARNING:
-    case MESSAGE_NORMAL:
-    case MESSAGE_VERBOSE:
-      _message_enabled = true;
-      break;
-    }
-  }
-
-  void CplexBase::_applyMessageLevel() {
-    CPXsetintparam(cplexEnv(), CPX_PARAM_SCRIND, 
-                   _message_enabled ? CPX_ON : CPX_OFF);
-  }
-
   // CplexLp members
 
   CplexLp::CplexLp()
-    : LpBase(), LpSolver(), CplexBase() {}
+    : LpBase(), CplexBase(), LpSolver() {}
 
   CplexLp::CplexLp(const CplexEnv& env)
-    : LpBase(), LpSolver(), CplexBase(env) {}
+    : LpBase(), CplexBase(env), LpSolver() {}
 
   CplexLp::CplexLp(const CplexLp& other)
-    : LpBase(), LpSolver(), CplexBase(other) {}
+    : LpBase(), CplexBase(other), LpSolver() {}
 
   CplexLp::~CplexLp() {}
 
-  CplexLp* CplexLp::newSolver() const { return new CplexLp; }
-  CplexLp* CplexLp::cloneSolver() const {return new CplexLp(*this); }
+  CplexLp* CplexLp::_newSolver() const { return new CplexLp; }
+  CplexLp* CplexLp::_cloneSolver() const {return new CplexLp(*this); }
 
   const char* CplexLp::_solverName() const { return "CplexLp"; }
@@ -530,5 +508,4 @@
   CplexLp::SolveExitStatus CplexLp::_solve() {
     _clear_temporals();
-    _applyMessageLevel();
     return convertStatus(CPXlpopt(cplexEnv(), _prob));
   }
@@ -536,5 +513,4 @@
   CplexLp::SolveExitStatus CplexLp::solvePrimal() {
     _clear_temporals();
-    _applyMessageLevel();
     return convertStatus(CPXprimopt(cplexEnv(), _prob));
   }
@@ -542,5 +518,4 @@
   CplexLp::SolveExitStatus CplexLp::solveDual() {
     _clear_temporals();
-    _applyMessageLevel();
     return convertStatus(CPXdualopt(cplexEnv(), _prob));
   }
@@ -548,5 +523,4 @@
   CplexLp::SolveExitStatus CplexLp::solveBarrier() {
     _clear_temporals();
-    _applyMessageLevel();
     return convertStatus(CPXbaropt(cplexEnv(), _prob));
   }
@@ -627,5 +601,5 @@
   }
 
-  // Cplex 7.0 status values
+  //7.5-os cplex statusai (Vigyazat: a 9.0-asei masok!)
   // This table lists the statuses, returned by the CPXgetstat()
   // routine, for solutions to LP problems or mixed integer problems. If
@@ -674,5 +648,5 @@
   //       User pivot used
   //
-  // Pending return values
+  //     Ezeket hova tegyem:
   // ??case CPX_ABORT_DUAL_INFEAS
   // ??case CPX_ABORT_CROSSOVER
@@ -745,4 +719,5 @@
     statusSwitch(cplexEnv(),stat);
     //CPXgetstat(cplexEnv(), _prob);
+    //printf("A primal status: %d, CPX_OPTIMAL=%d \n",stat,CPX_OPTIMAL);
     switch (stat) {
     case 0:
@@ -777,5 +752,5 @@
   }
 
-  // Cplex 9.0 status values
+  //9.0-as cplex verzio statusai
   // CPX_STAT_ABORT_DUAL_OBJ_LIM
   // CPX_STAT_ABORT_IT_LIM
@@ -824,5 +799,5 @@
 
   CplexMip::CplexMip()
-    : LpBase(), MipSolver(), CplexBase() {
+    : LpBase(), CplexBase(), MipSolver() {
 
 #if CPX_VERSION < 800
@@ -834,5 +809,5 @@
 
   CplexMip::CplexMip(const CplexEnv& env)
-    : LpBase(), MipSolver(), CplexBase(env) {
+    : LpBase(), CplexBase(env), MipSolver() {
 
 #if CPX_VERSION < 800
@@ -845,10 +820,10 @@
 
   CplexMip::CplexMip(const CplexMip& other)
-    : LpBase(), MipSolver(), CplexBase(other) {}
+    : LpBase(), CplexBase(other), MipSolver() {}
 
   CplexMip::~CplexMip() {}
 
-  CplexMip* CplexMip::newSolver() const { return new CplexMip; }
-  CplexMip* CplexMip::cloneSolver() const {return new CplexMip(*this); }
+  CplexMip* CplexMip::_newSolver() const { return new CplexMip; }
+  CplexMip* CplexMip::_cloneSolver() const {return new CplexMip(*this); }
 
   const char* CplexMip::_solverName() const { return "CplexMip"; }
@@ -890,5 +865,4 @@
   CplexMip::SolveExitStatus CplexMip::_solve() {
     int status;
-    _applyMessageLevel();
     status = CPXmipopt (cplexEnv(), _prob);
     if (status==0)
Index: lemon/cplex.h
===================================================================
--- lemon/cplex.h	(revision 576)
+++ lemon/cplex.h	(revision 462)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2009
+ * Copyright (C) 2003-2008
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -79,5 +79,5 @@
   ///
   /// This class implements the common interface of the CPLEX LP and
-  /// MIP solvers.
+  /// MIP solvers.  
   /// \ingroup lp_group
   class CplexBase : virtual public LpBase {
@@ -145,27 +145,12 @@
     virtual void _clear();
 
-    virtual void _messageLevel(MessageLevel level);
-    void _applyMessageLevel();
-
-    bool _message_enabled;
-
   public:
 
     /// Returns the used \c CplexEnv instance
     const CplexEnv& env() const { return _env; }
-
-    /// \brief Returns the const cpxenv pointer
     ///
-    /// \note The cpxenv might be destructed with the solver.
     const cpxenv* cplexEnv() const { return _env.cplexEnv(); }
 
-    /// \brief Returns the const cpxenv pointer
-    ///
-    /// \note The cpxenv might be destructed with the solver.
-    cpxenv* cplexEnv() { return _env.cplexEnv(); }
-
-    /// Returns the cplex problem object
     cpxlp* cplexLp() { return _prob; }
-    /// Returns the cplex problem object
     const cpxlp* cplexLp() const { return _prob; }
 
@@ -176,5 +161,5 @@
   /// This class implements an interface for the CPLEX LP solver.
   ///\ingroup lp_group
-  class CplexLp : public LpSolver, public CplexBase {
+  class CplexLp : public CplexBase, public LpSolver {
   public:
     /// \e
@@ -186,9 +171,4 @@
     /// \e
     virtual ~CplexLp();
-
-    /// \e
-    virtual CplexLp* cloneSolver() const;
-    /// \e
-    virtual CplexLp* newSolver() const;
 
   private:
@@ -206,4 +186,7 @@
 
   protected:
+
+    virtual CplexLp* _cloneSolver() const;
+    virtual CplexLp* _newSolver() const;
 
     virtual const char* _solverName() const;
@@ -240,5 +223,5 @@
   /// This class implements an interface for the CPLEX MIP solver.
   ///\ingroup lp_group
-  class CplexMip : public MipSolver, public CplexBase {
+  class CplexMip : public CplexBase, public MipSolver {
   public:
     /// \e
@@ -251,11 +234,8 @@
     virtual ~CplexMip();
 
-    /// \e
-    virtual CplexMip* cloneSolver() const;
-    /// \e
-    virtual CplexMip* newSolver() const;
-
-  protected:
-
+  protected:
+
+    virtual CplexMip* _cloneSolver() const;
+    virtual CplexMip* _newSolver() const;
 
     virtual const char* _solverName() const;
Index: lemon/dfs.h
===================================================================
--- lemon/dfs.h	(revision 584)
+++ lemon/dfs.h	(revision 492)
@@ -207,5 +207,5 @@
     typedef Dfs Create;
 
-    ///\name Named Template Parameters
+    ///\name Named template parameters
 
     ///@{
Index: lemon/dijkstra.h
===================================================================
--- lemon/dijkstra.h	(revision 584)
+++ lemon/dijkstra.h	(revision 492)
@@ -39,8 +39,6 @@
   /// This operation traits class defines all computational operations and
   /// constants which are used in the Dijkstra algorithm.
-  template <typename V>
+  template <typename Value>
   struct DijkstraDefaultOperationTraits {
-    /// \e
-    typedef V Value;
     /// \brief Gives back the zero value of the type.
     static Value zero() {
@@ -61,6 +59,6 @@
   ///Default traits class of Dijkstra class.
   ///\tparam GR The type of the digraph.
-  ///\tparam LEN The type of the length map.
-  template<typename GR, typename LEN>
+  ///\tparam LM The type of the length map.
+  template<class GR, class LM>
   struct DijkstraDefaultTraits
   {
@@ -72,7 +70,7 @@
     ///The type of the map that stores the arc lengths.
     ///It must meet the \ref concepts::ReadMap "ReadMap" concept.
-    typedef LEN LengthMap;
+    typedef LM LengthMap;
     ///The type of the length of the arcs.
-    typedef typename LEN::Value Value;
+    typedef typename LM::Value Value;
 
     /// Operation traits for %Dijkstra algorithm.
@@ -103,5 +101,5 @@
     ///\sa BinHeap
     ///\sa Dijkstra
-    typedef BinHeap<typename LEN::Value, HeapCrossRef, std::less<Value> > Heap;
+    typedef BinHeap<typename LM::Value, HeapCrossRef, std::less<Value> > Heap;
     ///Instantiates a \c Heap.
 
@@ -153,5 +151,5 @@
     ///The type of the map that stores the distances of the nodes.
     ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
-    typedef typename Digraph::template NodeMap<typename LEN::Value> DistMap;
+    typedef typename Digraph::template NodeMap<typename LM::Value> DistMap;
     ///Instantiates a \c DistMap.
 
@@ -183,5 +181,5 @@
   ///\tparam GR The type of the digraph the algorithm runs on.
   ///The default type is \ref ListDigraph.
-  ///\tparam LEN A \ref concepts::ReadMap "readable" arc map that specifies
+  ///\tparam LM A \ref concepts::ReadMap "readable" arc map that specifies
   ///the lengths of the arcs.
   ///It is read once for each arc, so the map may involve in
@@ -190,9 +188,9 @@
   ///concepts::Digraph::ArcMap "GR::ArcMap<int>".
 #ifdef DOXYGEN
-  template <typename GR, typename LEN, typename TR>
+  template <typename GR, typename LM, typename TR>
 #else
   template <typename GR=ListDigraph,
-            typename LEN=typename GR::template ArcMap<int>,
-            typename TR=DijkstraDefaultTraits<GR,LEN> >
+            typename LM=typename GR::template ArcMap<int>,
+            typename TR=DijkstraDefaultTraits<GR,LM> >
 #endif
   class Dijkstra {
@@ -287,5 +285,5 @@
     typedef Dijkstra Create;
 
-    ///\name Named Template Parameters
+    ///\name Named template parameters
 
     ///@{
@@ -916,6 +914,6 @@
   ///Default traits class of dijkstra() function.
   ///\tparam GR The type of the digraph.
-  ///\tparam LEN The type of the length map.
-  template<class GR, class LEN>
+  ///\tparam LM The type of the length map.
+  template<class GR, class LM>
   struct DijkstraWizardDefaultTraits
   {
@@ -926,7 +924,7 @@
     ///The type of the map that stores the arc lengths.
     ///It must meet the \ref concepts::ReadMap "ReadMap" concept.
-    typedef LEN LengthMap;
+    typedef LM LengthMap;
     ///The type of the length of the arcs.
-    typedef typename LEN::Value Value;
+    typedef typename LM::Value Value;
 
     /// Operation traits for Dijkstra algorithm.
@@ -1010,5 +1008,5 @@
     ///The type of the map that stores the distances of the nodes.
     ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
-    typedef typename Digraph::template NodeMap<typename LEN::Value> DistMap;
+    typedef typename Digraph::template NodeMap<typename LM::Value> DistMap;
     ///Instantiates a DistMap.
 
@@ -1036,8 +1034,8 @@
   /// The \ref DijkstraWizardBase is a class to be the default traits of the
   /// \ref DijkstraWizard class.
-  template<typename GR, typename LEN>
-  class DijkstraWizardBase : public DijkstraWizardDefaultTraits<GR,LEN>
+  template<class GR,class LM>
+  class DijkstraWizardBase : public DijkstraWizardDefaultTraits<GR,LM>
   {
-    typedef DijkstraWizardDefaultTraits<GR,LEN> Base;
+    typedef DijkstraWizardDefaultTraits<GR,LM> Base;
   protected:
     //The type of the nodes in the digraph.
@@ -1073,7 +1071,7 @@
     /// \param g The digraph the algorithm runs on.
     /// \param l The length map.
-    DijkstraWizardBase(const GR &g,const LEN &l) :
+    DijkstraWizardBase(const GR &g,const LM &l) :
       _g(reinterpret_cast<void*>(const_cast<GR*>(&g))),
-      _length(reinterpret_cast<void*>(const_cast<LEN*>(&l))),
+      _length(reinterpret_cast<void*>(const_cast<LM*>(&l))),
       _processed(0), _pred(0), _dist(0), _path(0), _di(0) {}
 
@@ -1284,9 +1282,9 @@
   ///\sa DijkstraWizard
   ///\sa Dijkstra
-  template<typename GR, typename LEN>
-  DijkstraWizard<DijkstraWizardBase<GR,LEN> >
-  dijkstra(const GR &digraph, const LEN &length)
+  template<class GR, class LM>
+  DijkstraWizard<DijkstraWizardBase<GR,LM> >
+  dijkstra(const GR &digraph, const LM &length)
   {
-    return DijkstraWizard<DijkstraWizardBase<GR,LEN> >(digraph,length);
+    return DijkstraWizard<DijkstraWizardBase<GR,LM> >(digraph,length);
   }
 
Index: lemon/dimacs.h
===================================================================
--- lemon/dimacs.h	(revision 584)
+++ lemon/dimacs.h	(revision 525)
@@ -23,7 +23,7 @@
 #include <string>
 #include <vector>
-#include <limits>
 #include <lemon/maps.h>
 #include <lemon/error.h>
+
 /// \ingroup dimacs_group
 /// \file
@@ -38,14 +38,9 @@
   struct DimacsDescriptor
   {
-    ///\brief DIMACS file type enum
-    ///
-    ///DIMACS file type enum.
-    enum Type {
-      NONE,  ///< Undefined type.
-      MIN,   ///< DIMACS file type for minimum cost flow problems.
-      MAX,   ///< DIMACS file type for maximum flow problems.
-      SP,    ///< DIMACS file type for shostest path problems.
-      MAT    ///< DIMACS file type for plain graphs and matching problems.
-    };
+    ///File type enum
+    enum Type
+      {
+        NONE, MIN, MAX, SP, MAT
+      };
     ///The file type
     Type type;
@@ -55,5 +50,5 @@
     int edgeNum;
     int lineShift;
-    ///Constructor. It sets the type to \c NONE.
+    /// Constructor. Sets the type to NONE.
     DimacsDescriptor() : type(NONE) {}
   };
@@ -61,8 +56,8 @@
   ///Discover the type of a DIMACS file
 
-  ///This function starts seeking the beginning of the given file for the
-  ///problem type and size info. 
-  ///The found data is returned in a special struct that can be evaluated
-  ///and passed to the appropriate reader function.
+  ///It starts seeking the begining of the file for the problem type
+  ///and size info. The found data is returned in a special struct
+  ///that can be evaluated and passed to the appropriate reader
+  ///function.
   DimacsDescriptor dimacsType(std::istream& is)
   {
@@ -102,5 +97,6 @@
 
 
-  /// \brief DIMACS minimum cost flow reader function.
+
+  /// DIMACS minimum cost flow reader function.
   ///
   /// This function reads a minimum cost flow instance from DIMACS format,
@@ -110,15 +106,7 @@
   /// \endcode
   /// At the beginning, \c g is cleared by \c g.clear(). The supply
-  /// amount of the nodes are written to the \c supply node map
-  /// (they are signed values). The lower bounds, capacities and costs
-  /// of the arcs are written to the \c lower, \c capacity and \c cost
-  /// arc maps.
-  ///
-  /// If the capacity of an arc is less than the lower bound, it will
-  /// be set to "infinite" instead. The actual value of "infinite" is
-  /// contolled by the \c infty parameter. If it is 0 (the default value),
-  /// \c std::numeric_limits<Capacity>::infinity() will be used if available,
-  /// \c std::numeric_limits<Capacity>::max() otherwise. If \c infty is set to
-  /// a non-zero value, that value will be used as "infinite".
+  /// amount of the nodes are written to \c supply (signed). The
+  /// lower bounds, capacities and costs of the arcs are written to
+  /// \c lower, \c capacity and \c cost.
   ///
   /// If the file type was previously evaluated by dimacsType(), then
@@ -133,5 +121,4 @@
                      CostMap& cost,
                      SupplyMap& supply,
-                     typename CapacityMap::Value infty = 0,
                      DimacsDescriptor desc=DimacsDescriptor())
   {
@@ -156,10 +143,4 @@
     typename CapacityMap::Value cap;
     typename CostMap::Value co;
-    typedef typename CapacityMap::Value Capacity;
-    if(infty==0)
-      infty = std::numeric_limits<Capacity>::has_infinity ?
-        std::numeric_limits<Capacity>::infinity() :
-        std::numeric_limits<Capacity>::max();
-
     while (is >> c) {
       switch (c) {
@@ -172,13 +153,13 @@
         supply.set(nodes[i], sup);
         break;
-      case 'a': // arc definition line
+      case 'a': // arc (arc) definition line
         is >> i >> j >> low >> cap >> co;
         getline(is, str);
         e = g.addArc(nodes[i], nodes[j]);
         lower.set(e, low);
-        if (cap >= low)
+        if (cap >= 0)
           capacity.set(e, cap);
         else
-          capacity.set(e, infty);
+          capacity.set(e, -1);
         cost.set(e, co);
         break;
@@ -193,5 +174,4 @@
                    typename Digraph::Node &s,
                    typename Digraph::Node &t,
-                   typename CapacityMap::Value infty = 0,
                    DimacsDescriptor desc=DimacsDescriptor()) {
     g.clear();
@@ -207,11 +187,5 @@
       nodes[k] = g.addNode();
     }
-    typedef typename CapacityMap::Value Capacity;
-
-    if(infty==0)
-      infty = std::numeric_limits<Capacity>::has_infinity ?
-        std::numeric_limits<Capacity>::infinity() :
-        std::numeric_limits<Capacity>::max();
- 
+
     while (is >> c) {
       switch (c) {
@@ -232,21 +206,12 @@
         }
         break;
-      case 'a': // arc definition line
-        if (desc.type==DimacsDescriptor::SP) {
+      case 'a': // arc (arc) definition line
+        if (desc.type==DimacsDescriptor::SP ||
+            desc.type==DimacsDescriptor::MAX) {
           is >> i >> j >> _cap;
           getline(is, str);
           e = g.addArc(nodes[i], nodes[j]);
           capacity.set(e, _cap);
-        } 
-        else if (desc.type==DimacsDescriptor::MAX) {
-          is >> i >> j >> _cap;
-          getline(is, str);
-          e = g.addArc(nodes[i], nodes[j]);
-          if (_cap >= 0)
-            capacity.set(e, _cap);
-          else
-            capacity.set(e, infty);
-        }
-        else {
+        } else {
           is >> i >> j;
           getline(is, str);
@@ -258,5 +223,5 @@
   }
 
-  /// \brief DIMACS maximum flow reader function.
+  /// DIMACS maximum flow reader function.
   ///
   /// This function reads a maximum flow instance from DIMACS format,
@@ -266,13 +231,6 @@
   /// \endcode
   /// At the beginning, \c g is cleared by \c g.clear(). The arc
-  /// capacities are written to the \c capacity arc map and \c s and
-  /// \c t are set to the source and the target nodes.
-  ///
-  /// If the capacity of an arc is negative, it will
-  /// be set to "infinite" instead. The actual value of "infinite" is
-  /// contolled by the \c infty parameter. If it is 0 (the default value),
-  /// \c std::numeric_limits<Capacity>::infinity() will be used if available,
-  /// \c std::numeric_limits<Capacity>::max() otherwise. If \c infty is set to
-  /// a non-zero value, that value will be used as "infinite".
+  /// capacities are written to \c capacity and \c s and \c t are
+  /// set to the source and the target nodes.
   ///
   /// If the file type was previously evaluated by dimacsType(), then
@@ -284,13 +242,12 @@
                      typename Digraph::Node &s,
                      typename Digraph::Node &t,
-                     typename CapacityMap::Value infty = 0,
                      DimacsDescriptor desc=DimacsDescriptor()) {
     if(desc.type==DimacsDescriptor::NONE) desc=dimacsType(is);
     if(desc.type!=DimacsDescriptor::MAX)
       throw FormatError("Problem type mismatch");
-    _readDimacs(is,g,capacity,s,t,infty,desc);
-  }
-
-  /// \brief DIMACS shortest path reader function.
+    _readDimacs(is,g,capacity,s,t,desc);
+  }
+
+  /// DIMACS shortest path reader function.
   ///
   /// This function reads a shortest path instance from DIMACS format,
@@ -300,5 +257,5 @@
   /// \endcode
   /// At the beginning, \c g is cleared by \c g.clear(). The arc
-  /// lengths are written to the \c length arc map and \c s is set to the
+  /// lengths are written to \c length and \c s is set to the
   /// source node.
   ///
@@ -315,22 +272,13 @@
     if(desc.type!=DimacsDescriptor::SP)
       throw FormatError("Problem type mismatch");
-    _readDimacs(is, g, length, s, t, 0, desc);
-  }
-
-  /// \brief DIMACS capacitated digraph reader function.
+    _readDimacs(is, g, length, s, t,desc);
+  }
+
+  /// DIMACS capacitated digraph reader function.
   ///
   /// This function reads an arc capacitated digraph instance from
-  /// DIMACS 'max' or 'sp' format.
+  /// DIMACS 'mat' or 'sp' format.
   /// At the beginning, \c g is cleared by \c g.clear()
-  /// and the arc capacities/lengths are written to the \c capacity
-  /// arc map.
-  ///
-  /// In case of the 'max' format, if the capacity of an arc is negative,
-  /// it will
-  /// be set to "infinite" instead. The actual value of "infinite" is
-  /// contolled by the \c infty parameter. If it is 0 (the default value),
-  /// \c std::numeric_limits<Capacity>::infinity() will be used if available,
-  /// \c std::numeric_limits<Capacity>::max() otherwise. If \c infty is set to
-  /// a non-zero value, that value will be used as "infinite".
+  /// and the arc capacities/lengths are written to \c capacity.
   ///
   /// If the file type was previously evaluated by dimacsType(), then
@@ -340,5 +288,4 @@
                      Digraph &g,
                      CapacityMap& capacity,
-                     typename CapacityMap::Value infty = 0,
                      DimacsDescriptor desc=DimacsDescriptor()) {
     typename Digraph::Node u,v;
@@ -346,5 +293,5 @@
     if(desc.type!=DimacsDescriptor::MAX || desc.type!=DimacsDescriptor::SP)
       throw FormatError("Problem type mismatch");
-    _readDimacs(is, g, capacity, u, v, infty, desc);
+    _readDimacs(is, g, capacity, u, v, desc);
   }
 
@@ -364,9 +311,9 @@
   }
   
-  /// \brief DIMACS plain (di)graph reader function.
-  ///
-  /// This function reads a plain (di)graph without any designated nodes
-  /// and maps (e.g. a matching instance) from DIMACS format, i.e. from 
-  /// DIMACS files having a line starting with
+  /// DIMACS plain (di)graph reader function.
+  ///
+  /// This function reads a (di)graph without any designated nodes and
+  /// maps from DIMACS format, i.e. from DIMACS files having a line
+  /// starting with
   /// \code
   ///   p mat
@@ -401,5 +348,5 @@
       case 'n': // node definition line
         break;
-      case 'a': // arc definition line
+      case 'a': // arc (arc) definition line
         is >> i >> j;
         getline(is, str);
Index: lemon/edge_set.h
===================================================================
--- lemon/edge_set.h	(revision 559)
+++ lemon/edge_set.h	(revision 512)
@@ -256,5 +256,5 @@
   /// concept.
   ///
-  /// This class fully conforms to the \ref concepts::Digraph
+  /// This class is fully conform to the \ref concepts::Digraph
   /// "Digraph" concept.
   template <typename GR>
@@ -337,5 +337,5 @@
     /// Add a new arc to the digraph with source node \c s
     /// and target node \c t.
-    /// \return The new arc.
+    /// \return the new arc.
     Arc addArc(const Node& s, const Node& t) {
       return Parent::addArc(s, t);
@@ -685,5 +685,5 @@
   /// concept.
   ///
-  /// This class fully conforms to the \ref concepts::Graph "Graph"
+  /// This class is fully conform to the \ref concepts::Graph "Graph"
   /// concept.
   template <typename GR>
@@ -762,5 +762,5 @@
     /// Add a new edge to the graph with node \c u
     /// and node \c v endpoints.
-    /// \return The new edge.
+    /// \return the new edge.
     Edge addEdge(const Node& u, const Node& v) {
       return Parent::addEdge(u, v);
@@ -953,5 +953,5 @@
   /// validity can be checked with the \c valid() member function.
   ///
-  /// This class fully conforms to the \ref concepts::Digraph
+  /// This class is fully conform to the \ref concepts::Digraph
   /// "Digraph" concept.
   template <typename GR>
@@ -1042,5 +1042,5 @@
     /// Add a new arc to the digraph with source node \c s
     /// and target node \c t.
-    /// \return The new arc.
+    /// \return the new arc.
     Arc addArc(const Node& s, const Node& t) {
       return Parent::addArc(s, t);
@@ -1301,5 +1301,5 @@
   /// be checked with the \c valid() member function.
   ///
-  /// This class fully conforms to the \ref concepts::Graph
+  /// This class is fully conform to the \ref concepts::Graph
   /// "Graph" concept.
   template <typename GR>
@@ -1390,5 +1390,5 @@
     /// Add a new edge to the graph with node \c u
     /// and node \c v endpoints.
-    /// \return The new edge.
+    /// \return the new edge.
     Edge addEdge(const Node& u, const Node& v) {
       return Parent::addEdge(u, v);
